Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create admin API key

$ openai admin:organization:admin-api-keys create
POST
/organization/admin_api_keys

Create an organization admin API key

Create admin API key

openai admin:organization:admin-api-keys create \
  --admin-api-key 'My Admin API Key' \
  --name 'New Admin Key'
Response example
{
  "object": "organization.admin_api_key",
  "id": "key_xyz",
  "name": "New Admin Key",
  "redacted_value": "sk-admin...xyz",
  "created_at": 1711471533,
  "expires_at": 1714063533,
  "last_used_at": 1711471534,
  "owner": {
    "type": "user",
    "object": "organization.user",
    "id": "user_123",
    "name": "John Doe",
    "created_at": 1711471533,
    "role": "owner"
  },
  "value": "sk-admin-1234abcd"
}
Parameters
--name: string
--expires-in-seconds: optional number

The number of seconds until the API key expires. Omit this field for a key that does not expire.

Returns
AdminOrganizationAdminAPIKeyNewResponse: AdminAPIKey { id, created_at, expires_at, 5 more }

Represents an individual Admin API key in an org.

value: string

The value of the API key. Only shown on create.

Returns Examples
Response example
{
  "object": "organization.admin_api_key",
  "id": "key_xyz",
  "name": "New Admin Key",
  "redacted_value": "sk-admin...xyz",
  "created_at": 1711471533,
  "expires_at": 1714063533,
  "last_used_at": 1711471534,
  "owner": {
    "type": "user",
    "object": "organization.user",
    "id": "user_123",
    "name": "John Doe",
    "created_at": 1711471533,
    "role": "owner"
  },
  "value": "sk-admin-1234abcd"
}